package org.loom.resources;

public abstract class AbstractWebResourceData implements WebResourceData {

	/** the calculated md5 of this resource */
	private String md5;
	
	/** the type of the resource */
	private WebResourceType type;
	
	/** the encoding used by the web resource */
	private String charset;

	/** the WebResource instance used to create this data */
	private WebResource webResource;
	
	public String getMd5() {
		return md5;
	}

	public void setMd5(String md5) {
		this.md5 = md5;
	}

	public WebResourceType getType() {
		return type;
	}

	public void setType(WebResourceType type) {
		this.type = type;
	}

	public String getCharset() {
		return charset;
	}

	public void setCharset(String charset) {
		this.charset = charset;
	}

	public WebResource getWebResource() {
		return webResource;
	}

	public void setWebResource(WebResource webResource) {
		this.webResource = webResource;
	}
}
