package org.loom.tags;

/**
 * The attributes of a HTML tag
 * @author icoloma
 */
public interface HtmlTag extends LoomTag {

	/**
	 * @return the CssBuilder used to generate the "class" attribute of this link
	 */
	public CssBuilder getCssBuilder();
	
	/**
	 * Add a CSS class to this tag
	 * @param cssClass the CSS class to be added
	 */
	public void addCssClass(String cssClass);
	
}
